Skip to main content
GET
/
2025-09
/
credit_notes
List all Credit Notes
curl --request GET \
  --url https://public-api.stora.co/2025-09/credit_notes \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://public-api.stora.co/2025-09/credit_notes"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://public-api.stora.co/2025-09/credit_notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "credit_notes": [
    {
      "id": "cred_kk5h6lfm6ro15lon",
      "contact": {
        "id": "con_195h6kfm9ro15lof"
      },
      "created_at": "2025-02-22T14:41:00Z",
      "invoice": {
        "id": "inv_195h6kfm9ro15lof"
      },
      "line_items": [
        {
          "amount": {
            "amount": 1099,
            "currency": "GBP",
            "formatted": "£10.99"
          },
          "description": "T-shirt",
          "discount_total": {
            "amount": 0,
            "currency": "GBP",
            "formatted": "£0.00"
          },
          "price": {
            "amount": 1099,
            "currency": "GBP",
            "formatted": "£10.99"
          },
          "quantity": 1,
          "tax": {
            "amount": 0,
            "currency": "GBP",
            "formatted": "£0.00"
          },
          "type": "invoice_line_item"
        }
      ],
      "number": "C9E0C52C-0036-CN-5",
      "reason": "other",
      "site": {
        "id": "site_14b419f1096013f1"
      },
      "status": "issued",
      "subtotal": {
        "amount": 1099,
        "currency": "GBP",
        "formatted": "£10.99"
      },
      "total": {
        "amount": 1099,
        "currency": "GBP",
        "formatted": "£10.99"
      },
      "type": "pre_payment"
    }
  ],
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ],
    "pagination": {
      "count": 1,
      "last": 1,
      "limit": 50,
      "next": null,
      "page": 1,
      "pages": 1,
      "prev": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Query Parameters

sort_by
enum<string>

Sorting by attribute. Default created_at

Available options:
created_at,
updated_at
sort_direction
enum<string>

Sorting by ASC or DESC direction. Default DESC

Available options:
ASC,
DESC
page
integer

Pagination: Page number

Required range: x >= 1
limit
integer

Pagination: Limit number of items per page.

Required range: 1 <= x <= 100
contact_id
string[]

Filter by Contact IDs. Supports multiple values separated by a comma.

site_id
string[]

Filter by Site IDs. Supports multiple values separated by a comma.

invoice_id
string[]

Filter by Invoice IDs. Supports multiple values separated by a comma.

expand
string[]

This endpoint supports expandable responses. For more, see the documentation page.

status
enum<string>[]

Filter by status. Supports multiple values separated by a comma.

Available options:
issued,
void
created_after
string<date-time>

Filters results to created after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

created_before
string<date-time>

Filters results to created before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

updated_after
string<date-time>

Filters results to updated after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

updated_before
string<date-time>

Filters results to updated before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

Response

200 - application/json

list of credit notes

List of Credit Notes

credit_notes
object[]
meta
object